import { Component } from '@angular/core';
import { RouterOutlet } from '@angular/router';

declare var $: any;

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [RouterOutlet],
  templateUrl: './app.component.html',
  styleUrl: './app.component.css'
})
export class AppComponent {
  title = 'my-angular18-app';
  designer: any;

  ngAfterViewInit() {
    this.designer = $("#webReportDesigner").telerik_WebReportDesigner({
      serviceUrl: "https://demos.telerik.com/reporting/api/reportdesigner/",
      report: "Product Catalog.trdx"
    }).data("telerik_WebDesigner");
  }
}
